AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

Analytics instance options

### Hierarchy

- AnalyticsOptions

## Index

### Properties

- appId
- clientId
- credentials
- platform
- region

## Properties

### appId

appId: string

- Defined in analytics/src/types/Analytics.ts:18

### Optional clientId

clientId: string

- Defined in analytics/src/types/Analytics.ts:20

### Optional credentials

credentials: AWS.Credentials & AWS.CognitoIdentityCredentials

- Defined in analytics/src/types/Analytics.ts:22

### Optional platform

platform: string

- Defined in analytics/src/types/Analytics.ts:19

### Optional region

region: string

- Defined in analytics/src/types/Analytics.ts:21